<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HeaderBlock (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HeaderBlock (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeaderBlock.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/storage/BlockWritable.html"
               title="interface in org.apache.poi.poifs.storage"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html"
               title="interface in org.apache.poi.poifs.storage"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/storage/HeaderBlock.html" target="_top">Frames</a>
        </li>
        <li><a href="HeaderBlock.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.storage</div>
    <h2 title="Class HeaderBlock" class="title">Class HeaderBlock</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.storage.HeaderBlock</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html"
                           title="interface in org.apache.poi.poifs.storage">HeaderBlockConstants</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HeaderBlock</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html"
              title="interface in org.apache.poi.poifs.storage">HeaderBlockConstants</a></pre>
                <div class="block">The block containing the archive header</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.poifs.storage.HeaderBlockConstants">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from interface&nbsp;org.apache.poi.poifs.storage.<a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html"
                                        title="interface in org.apache.poi.poifs.storage">HeaderBlockConstants</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_bat_array_offset">_bat_array_offset</a>,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_bat_count_offset">_bat_count_offset</a>,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_max_bats_in_header">_max_bats_in_header</a>,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_property_start_offset">_property_start_offset</a>,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_sbat_block_count_offset">_sbat_block_count_offset</a>,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_sbat_start_offset">_sbat_start_offset</a>,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_signature">_signature</a>,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_signature_offset">_signature_offset</a>,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_xbat_count_offset">_xbat_count_offset</a>,
                                    <a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html#Z:Z_xbat_start_offset">_xbat_start_offset</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#HeaderBlock-java.nio.ByteBuffer-">HeaderBlock</a></span>(java.nio.ByteBuffer&nbsp;buffer)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#HeaderBlock-java.io.InputStream-">HeaderBlock</a></span>(java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">create a new HeaderBlockReader from an InputStream</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#HeaderBlock-org.apache.poi.poifs.common.POIFSBigBlockSize-">HeaderBlock</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a>&nbsp;bigBlockSize)</code>
                                    <div class="block">Create a single instance initialized with default values</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#getBATArray--">getBATArray</a></span>()</code>
                                    <div class="block">Returns the offsets to the first (up to) 109
                                        BAT sectors.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#getBATCount--">getBATCount</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#getBigBlockSize--">getBigBlockSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#getPropertyStart--">getPropertyStart</a></span>()</code>
                                    <div class="block">get start of Property Table</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#getSBATCount--">getSBATCount</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#getSBATStart--">getSBATStart</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#getXBATCount--">getXBATCount</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#getXBATIndex--">getXBATIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#setBATArray-int:A-">setBATArray</a></span>(int[]&nbsp;bat_array)</code>
                                    <div class="block">Sets the offsets of the first (up to) 109
                                        BAT sectors.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#setBATCount-int-">setBATCount</a></span>(int&nbsp;count)</code>
                                    <div class="block">Sets the number of BAT blocks that are used.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#setPropertyStart-int-">setPropertyStart</a></span>(int&nbsp;startBlock)</code>
                                    <div class="block">Set start of Property Table</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#setSBATBlockCount-int-">setSBATBlockCount</a></span>(int&nbsp;count)</code>
                                    <div class="block">Set count of SBAT blocks</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#setSBATStart-int-">setSBATStart</a></span>(int&nbsp;startBlock)</code>
                                    <div class="block">Set start of small block allocation table</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#setXBATCount-int-">setXBATCount</a></span>(int&nbsp;count)</code>
                                    <div class="block">Sets the number of XBAT (DIFAT) blocks used</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#setXBATStart-int-">setXBATStart</a></span>(int&nbsp;startBlock)</code>
                                    <div class="block">Sets the first XBAT (DIFAT) block location</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html#writeData-java.io.OutputStream-">writeData</a></span>(java.io.OutputStream&nbsp;stream)</code>
                                    <div class="block">Write the block's data to an OutputStream</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HeaderBlock-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HeaderBlock</h4>
                                <pre>public&nbsp;HeaderBlock(java.io.InputStream&nbsp;stream)
            throws java.io.IOException</pre>
                                <div class="block">create a new HeaderBlockReader from an InputStream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - the source InputStream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on errors or bad data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HeaderBlock-java.nio.ByteBuffer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HeaderBlock</h4>
                                <pre>public&nbsp;HeaderBlock(java.nio.ByteBuffer&nbsp;buffer)
            throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HeaderBlock-org.apache.poi.poifs.common.POIFSBigBlockSize-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HeaderBlock</h4>
                                <pre>public&nbsp;HeaderBlock(<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a>&nbsp;bigBlockSize)</pre>
                                <div class="block">Create a single instance initialized with default values</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getPropertyStart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPropertyStart</h4>
                                <pre>public&nbsp;int&nbsp;getPropertyStart()</pre>
                                <div class="block">get start of Property Table</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index of the first block of the Property Table</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPropertyStart-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPropertyStart</h4>
                                <pre>public&nbsp;void&nbsp;setPropertyStart(int&nbsp;startBlock)</pre>
                                <div class="block">Set start of Property Table</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startBlock</code> - the index of the first block of the Property Table
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSBATStart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSBATStart</h4>
                                <pre>public&nbsp;int&nbsp;getSBATStart()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>start of small block (MiniFAT) allocation table</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSBATCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSBATCount</h4>
                                <pre>public&nbsp;int&nbsp;getSBATCount()</pre>
                            </li>
                        </ul>
                        <a name="setSBATStart-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSBATStart</h4>
                                <pre>public&nbsp;void&nbsp;setSBATStart(int&nbsp;startBlock)</pre>
                                <div class="block">Set start of small block allocation table</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startBlock</code> - the index of the first big block of the small
                                        block allocation table
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSBATBlockCount-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSBATBlockCount</h4>
                                <pre>public&nbsp;void&nbsp;setSBATBlockCount(int&nbsp;count)</pre>
                                <div class="block">Set count of SBAT blocks</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>count</code> - the number of SBAT blocks</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBATCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBATCount</h4>
                                <pre>public&nbsp;int&nbsp;getBATCount()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of BAT blocks</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBATCount-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBATCount</h4>
                                <pre>public&nbsp;void&nbsp;setBATCount(int&nbsp;count)</pre>
                                <div class="block">Sets the number of BAT blocks that are used.
                                    This is the number used in both the BAT and XBAT.
                                </div>
                            </li>
                        </ul>
                        <a name="getBATArray--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBATArray</h4>
                                <pre>public&nbsp;int[]&nbsp;getBATArray()</pre>
                                <div class="block">Returns the offsets to the first (up to) 109
                                    BAT sectors.
                                    Any additional BAT sectors are held in the XBAT (DIFAT)
                                    sectors in a chain.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>BAT offset array</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBATArray-int:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBATArray</h4>
                                <pre>public&nbsp;void&nbsp;setBATArray(int[]&nbsp;bat_array)</pre>
                                <div class="block">Sets the offsets of the first (up to) 109
                                    BAT sectors.
                                </div>
                            </li>
                        </ul>
                        <a name="getXBATCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXBATCount</h4>
                                <pre>public&nbsp;int&nbsp;getXBATCount()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>XBAT (DIFAT) count</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setXBATCount-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setXBATCount</h4>
                                <pre>public&nbsp;void&nbsp;setXBATCount(int&nbsp;count)</pre>
                                <div class="block">Sets the number of XBAT (DIFAT) blocks used</div>
                            </li>
                        </ul>
                        <a name="getXBATIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXBATIndex</h4>
                                <pre>public&nbsp;int&nbsp;getXBATIndex()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>XBAT (DIFAT) index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setXBATStart-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setXBATStart</h4>
                                <pre>public&nbsp;void&nbsp;setXBATStart(int&nbsp;startBlock)</pre>
                                <div class="block">Sets the first XBAT (DIFAT) block location</div>
                            </li>
                        </ul>
                        <a name="getBigBlockSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBigBlockSize</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a>&nbsp;getBigBlockSize()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The Big Block size, normally 512 bytes, sometimes 4096 bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeData-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>writeData</h4>
                                <pre>public&nbsp;void&nbsp;writeData(java.io.OutputStream&nbsp;stream)
               throws java.io.IOException</pre>
                                <div class="block">Write the block's data to an OutputStream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - the OutputStream to which the stored data should
                                        be written
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on problems writing to the specified
                                        stream
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeaderBlock.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/storage/BlockWritable.html"
               title="interface in org.apache.poi.poifs.storage"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/storage/HeaderBlockConstants.html"
               title="interface in org.apache.poi.poifs.storage"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/storage/HeaderBlock.html" target="_top">Frames</a>
        </li>
        <li><a href="HeaderBlock.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
